%define anolis_release 4
%global modname Text-Diff
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Algorithm::Diff\\)$

Name:           perl-%{modname}
Version:        1.45
Release: %{anolis_release}%{dist}
Summary:        Perform diffs on files and record sets
License:        (GPL+ or Artistic) and (GPLv2+ or Artistic) and MIT
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/%{modname}-%{version}.tar.gz

BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Algorithm::Diff) >= 1.19
BuildRequires:  perl(strict) perl(Carp) perl(constant) perl(Exporter)
BuildRequires:  perl(vars) perl(warnings) perl(utf8) perl(Data::Dumper)
BuildRequires:  perl(IO::File) perl(Test) perl(Test::More)

Requires:       perl(Algorithm::Diff) >= 1.19

BuildArch:      noarch

%description
Module::Load allows for generic loading of modules and files. Simply give it
the name of a module or file and it will Do What You Mean (tm).

%prep
%autosetup -n %{modname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*
%doc README Changes
%license LICENSE

%changelog
* Sat Apr 15 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.45-4
- Refactor the specfile

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.45-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.45-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 1.45-1
- Init package from upstream v1.45
